---
lang: en
title: 'API docs: logging.winstonloggerprovider._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/logging
permalink: /doc/en/lb4/apidocs.logging.winstonloggerprovider._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/logging](./logging.md) &gt; [WinstonLoggerProvider](./logging.winstonloggerprovider.md) &gt; [(constructor)](./logging.winstonloggerprovider._constructor_.md)

## WinstonLoggerProvider.(constructor)

Constructs a new instance of the `WinstonLoggerProvider` class

**Signature:**

```typescript
constructor(
    transports: Getter<Transport[]>, 
    formats: Getter<Format[]>, 
    options?: LoggerOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  transports | Getter&lt;Transport\[\]&gt; |  |
|  formats | Getter&lt;Format\[\]&gt; |  |
|  options | LoggerOptions | _(Optional)_ |


